Subject: Re: [PATCH 1/2] pager: move pager-specific setup into the build

From: Eric Wong <[email-masked]>
Date: Mon, 1 Aug 2016 07:00:37 +0000

"brian m. carlson" <[email-masked]> wrote:
> On Mon, Aug 01, 2016 at 01:05:56AM +0000, Eric Wong wrote:
> > +		while (*cp && *cp == ' ')
> > +			cp++;
> 
> So it looks like this function splits on spaces but doesn't provide any
> escaping mechanism.  Is there any case in which we want to accept
> environment variables containing whitespace?  I ask this as someone that
> has EDITOR set to "gvim -f" on occasion and seeing how tools sometimes
> handle that poorly.

Yes, it's only split on spaces right now.  While I don't think
there's any current case where spaces would be useful/desirable;
I suppose a 3rd patch in this series could add support for using
split_cmdline (from alias.c)...